• Post Reply Bookmark Topic Watch Topic
  • New Topic

New iPhone for every new release

 
Nick Sher
Ranch Hand
Posts: 78
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
In just two or three years Apple does not support 2G and 3G version of its phone. Does that mean that an application developer has to get the latest phone every time Apple decides to update its iOS and phones. For example, after iphone4 came out firmware 4 is no longer supported on iPhone 2G and 3G, so a developer has to purchase a new iPhone to test his application?

Is that what everyone is doing?
 
David Newton
Author
Rancher
Posts: 12617
IntelliJ IDE Ruby
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I thought there was an emulator.

In any case, I don't know anybody with a 2G anymore, and only one person with a 3G. Still know a few with 3GSs. But a *LOT* of people upgrade; thus is the nature of Apple fans.
 
Mark Spritzler
ranger
Sheriff
Posts: 17309
11
IntelliJ IDE Mac Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
David Newton wrote:I thought there was an emulator.

In any case, I don't know anybody with a 2G anymore, and only one person with a 3G. Still know a few with 3GSs. But a *LOT* of people upgrade; thus is the nature of Apple fans.


My wife has my old 3G. I have an iPhone4, only because I have an iPhone 3GS that is jailbroken at 3.1.2 and I didn't want to upgrade that phone to iOS4 version. But an iPhone 3GS can be upgraded to iOS4.

Also, realize that because you write apps your iPhone purchase and monthly bill can be deducted from your taxes because you are selling your apps and you have to test your apps on the device with connectivity.

Mark
 
Gravity is a harsh mistress. But this tiny ad is pretty easy to deal with:
the new thread boost feature: great for the advertiser and smooth for the coderanch user
https://coderanch.com/t/674455/Thread-Boost-feature
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!